Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Risolto] package.mask non maschera
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
ckx3009
Guru
Guru


Joined: 08 Apr 2008
Posts: 362
Location: Milano, Italy

PostPosted: Sat May 31, 2008 6:56 pm    Post subject: [Risolto] package.mask non maschera Reply with quote

o sono io che non ho capito niente di come si usa, oppure non funziona lui.
in teoria se metto nel package.mask una stringa come
Code:
=x11-drivers/ati-drivers-8.493

e faccio
Code:
emerge -uDNa world

lui non dovrebbe eseguire l'emerge... invece lo fa..

come posso impedirgli di eseguire l'emerge?


Last edited by ckx3009 on Mon Jun 02, 2008 12:00 am; edited 1 time in total
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Sat May 31, 2008 8:23 pm    Post subject: Re: package.mask non maschera Reply with quote

ckx3009 wrote:
o sono io che non ho capito niente di come si usa, oppure non funziona lui.
in teoria se metto nel package.mask una stringa come
Code:
=x11-drivers/ati-drivers-8.493

e faccio
Code:
emerge -uDNa world

lui non dovrebbe eseguire l'emerge... invece lo fa..

come posso impedirgli di eseguire l'emerge?


se hai in portage.keywords o unmask , tutti gli ati-drivers, credo non mascheri quella versione.

posta un emerge -pvtDuN world
_________________
se fossi un disegnatore ti disegnerei, se fossi uno scrittore ti scriverei, se fossi un inventore ti inventerei...ma sono solo un trombettista!!!
Back to top
View user's profile Send private message
ckx3009
Guru
Guru


Joined: 08 Apr 2008
Posts: 362
Location: Milano, Italy

PostPosted: Sun Jun 01, 2008 2:59 am    Post subject: Reply with quote

Code:
# emerge -pvtDuN world

These are the packages that would be merged, in reverse order:

Calculating world dependencies... done!
[ebuild     U ] x11-drivers/ati-drivers-8.493 [8.476] USE="-acpi -debug" 0 kB

Total: 1 package (1 upgrade), Size of downloads: 0 kB


in package.keywords ho questo, altrimenti non mi aggiorna mai
Code:
x11-drivers/ati-drivers **

quindi forse dovrei levarlo....
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Sun Jun 01, 2008 4:40 am    Post subject: Reply with quote

ckx3009 wrote:

quindi forse dovrei levarlo....

certamente.
ma se desideri mantenere la versione ~8.476, puoi farlo lo stesso, mettendo in package.keyword quella specifica voce, oppure utilizzando i simboli di maggiore o uguale. l'uso di package.mask, secondo me, è superfluo.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
ckx3009
Guru
Guru


Joined: 08 Apr 2008
Posts: 362
Location: Milano, Italy

PostPosted: Sun Jun 01, 2008 11:59 pm    Post subject: Reply with quote

grazie mille, era come dicevate voi (quindi ero io che non avevo capito :P ). ora va tutto.

alla prossima (che arrivera' presto :D )
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum